#include<bits/stdc++.h>
using namespace std;
#define ll long long
int main (){
       ios_base::sync_with_stdio(0);
       ll t , q , f , l , r , x , y , i , n , m , j , k , mn = 2e9, mx = -2e9;
       cin>>n>>m>>k;
      l=n/k;
      r=m/k;
      if(n%k!=0){
          l++;
      }
      if(m%k!=0){
          r++;
      }
      cout<<r*l;
 }